Subject: Compiling POV-Ray 3.01 for windows with mingw32 ?
From: [email-masked] (Alain CULOS)

28 Jul 1998 09:12:02 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="------------99C90DF0FEED0CBF9E56D0E2"
To: cygwin <[email-masked]>

This is a multi-part message in MIME format.
--------------99C90DF0FEED0CBF9E56D0E2
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit

Dear all,

You must be wondering what the hell this guy is doing : he posted a
few requests months back and he still has not a working compile ??? -
You're right, I just did not have any spare second left so far.

Thanks to the help of a few nice fellows I was able to make quite some
progress, still I have not arrived to the end.
So far I have compiled zlib and libpng without errors or warnings, but
for lib png I had to take out [-lm]. I do not have any clue what [-lm]
is meant to do, I just assumed it was automatically included with
mingw32. It does not seem to cause any problem really.
The symbols causing problem at link time for the part of Pvengine.exe
that uses libpng are symbols defined in zlib. These symbols are
present in my libz.a, so I do not understand why they should not be
linked.
Other symbols I was not able to locate though : GlobalAllocPtr is one
for instance.

When compiling the windows directory all looks fine : all object files
are created but I get a significant amount of warning and I usually do
not like having any type of warning since it usually means something
is wrong. I would appreciate if someone had some spare time to advise
me about the seriousness of these warnings (I am no expert at C).

Note that I am in no rush, so please take your time if you have some,
Cheers,
Al.

--
ANTI SPAM / ANTI ARROSAGE COMMERCIAL :
Pour me répondre, veuillez enlever le Z de mon adresse.
To answer me, please take out the Z from my address.

--------------99C90DF0FEED0CBF9E56D0E2
Content-Type: text/plain; charset=us-ascii; name="make.windows.output.txt"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline; filename="make.windows.output.txt"

g++  -x c '-DNEAR='  -c PVBITMAP.C -o PVBITMAP.o
g++  -x c '-DNEAR='  -c PVBMP.C -o PVBMP.o
g++  -x c '-DNEAR='  -c PVCLIENT.C -o PVCLIENT.o
PVCLIENT.C: In function `pvncDrawCaption':
PVCLIENT.C:1006: warning: assignment makes pointer from integer without a cast
PVCLIENT.C:1030: warning: passing arg 1 of `GlobalFree' makes pointer from integer without a cast
g++  -x c '-DNEAR='  -c PVDIALOG.C -o PVDIALOG.o
g++  -x c '-DNEAR='  -c PVENGINE.C -o PVENGINE.o
PVENGINE.C: In function `start_rendering':
PVENGINE.C:963: warning: passing arg 4 of `WinHelpA' makes integer from pointer without a cast
PVENGINE.C:964: warning: passing arg 4 of `WinHelpA' makes integer from pointer without a cast
PVENGINE.C:987: warning: passing arg 4 of `WinHelpA' makes integer from pointer without a cast
PVENGINE.C:988: warning: passing arg 4 of `WinHelpA' makes integer from pointer without a cast
PVENGINE.C: In function `handle_main_command':
PVENGINE.C:3030: warning: passing arg 4 of `WinHelpA' makes integer from pointer without a cast
PVENGINE.C:3031: warning: passing arg 4 of `WinHelpA' makes integer from pointer without a cast
PVENGINE.C: In function `PovMainWndProc':
PVENGINE.C:4414: warning: passing arg 4 of `WinHelpA' makes integer from pointer without a cast
PVENGINE.C:4415: warning: passing arg 4 of `WinHelpA' makes integer from pointer without a cast
PVENGINE.C: In function `cleanup_all':
PVENGINE.C:4741: warning: passing arg 4 of `WinHelpA' makes integer from pointer without a cast
PVENGINE.C:4742: warning: passing arg 4 of `WinHelpA' makes integer from pointer without a cast
PVENGINE.C: In function `WinMain':
PVENGINE.C:5480: warning: passing arg 4 of `WinHelpA' makes integer from pointer without a cast
PVENGINE.C:5481: warning: passing arg 4 of `WinHelpA' makes integer from pointer without a cast
PVENGINE.C:5500: warning: passing arg 4 of `WinHelpA' makes integer from pointer without a cast
PVENGINE.C:5501: warning: passing arg 4 of `WinHelpA' makes integer from pointer without a cast
g++  -x c '-DNEAR='  -c PVFILES.C -o PVFILES.o
In file included from PVFILES.C:54:
pvdemo.h:232: warning: unknown escape sequence `\ '
pvdemo.h:234: warning: unknown escape sequence `\ '
g++  -x c '-DNEAR='  -c PVGUIEXT.C -o PVGUIEXT.o
PVGUIEXT.C: In function `LoadGUIExtensions':
PVGUIEXT.C:426: warning: multi-character character constant
PVGUIEXT.C:426: warning: multi-character character constant
g++  -x c '-DNEAR='  -c PVMENU.C -o PVMENU.o
g++  -x c '-DNEAR='  -c PVMISC.C -o PVMISC.o
PVMISC.C: In function `write_editor_settings':
PVMISC.C:315: warning: comparison between pointer and integer
g++  -x c '-DNEAR='  -c PVTEXT.C -o PVTEXT.o
g++  -x c '-DNEAR='  -c PVTINY.C -o PVTINY.o
PVTINY.C: In function `ibDrawCaption':
PVTINY.C:782: warning: assignment makes pointer from integer without a cast
PVTINY.C:871: warning: passing arg 1 of `GlobalFree' makes pointer from integer without a cast

--------------99C90DF0FEED0CBF9E56D0E2
Content-Type: text/plain; charset=us-ascii; name="make.source.output.txt"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline; filename="make.source.output.txt"

g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c ATMOSPH.C -o ATMOSPH.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c BBOX.C -o BBOX.o
BBOX.C: In function `sort_and_split':
BBOX.C:1819: warning: passing arg 4 of `qsort' from incompatible pointer type
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c BCYL.C -o BCYL.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c BEZIER.C -o BEZIER.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c BLOB.C -o BLOB.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c BOXES.C -o BOXES.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c BSPHERE.C -o BSPHERE.o
BSPHERE.C: In function `sort_and_split':
BSPHERE.C:451: warning: passing arg 4 of `qsort' from incompatible pointer type
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c CAMERA.C -o CAMERA.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c CHI2.C -o CHI2.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c COLOUR.C -o COLOUR.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c CONES.C -o CONES.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c CSG.C -o CSG.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c DISCS.C -o DISCS.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c EXPRESS.C -o EXPRESS.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c FRACTAL.C -o FRACTAL.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c GIF.C -o GIF.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c GIFDECOD.C -o GIFDECOD.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c HALOS.C -o HALOS.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c HCMPLX.C -o HCMPLX.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c HFIELD.C -o HFIELD.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c IFF.C -o IFF.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c IMAGE.C -o IMAGE.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c LATHE.C -o LATHE.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c LBUFFER.C -o LBUFFER.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c LIGHTING.C -o LIGHTING.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c MATRICES.C -o MATRICES.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c MEM.C -o MEM.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c MESH.C -o MESH.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c NORMAL.C -o NORMAL.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c OBJECTS.C -o OBJECTS.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c OCTREE.C -o OCTREE.o
make: *** No rule to make target `Libpng/zlib.h', needed by `OPTIN.o'.  Stop.
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c OPTIN.C -o OPTIN.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c OPTOUT.C -o OPTOUT.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c PARSE.C -o PARSE.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c PARSTXTR.C -o PARSTXTR.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c PATTERN.C -o PATTERN.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c PGM.C -o PGM.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c PIGMENT.C -o PIGMENT.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c PLANES.C -o PLANES.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c PNG_POV.C -o PNG_POV.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c POINT.C -o POINT.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c POLY.C -o POLY.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c POLYGON.C -o POLYGON.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c POLYSOLV.C -o POLYSOLV.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c POVRAY.C -o POVRAY.o
POVRAY.C: In function `set_output_file_handle':
POVRAY.C:1051: warning: assignment makes pointer from integer without a cast
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c PPM.C -o PPM.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c PRISM.C -o PRISM.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c QUADRICS.C -o QUADRICS.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c QUATERN.C -o QUATERN.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c RADIOSIT.C -o RADIOSIT.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c RAD_DATA.C -o RAD_DATA.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c RAY.C -o RAY.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c RENDER.C -o RENDER.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c SOR.C -o SOR.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c SPHERES.C -o SPHERES.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c SUPER.C -o SUPER.o
SUPER.C: In function `find_ray_plane_points':
SUPER.C:1377: warning: passing arg 4 of `qsort' from incompatible pointer type
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c TARGA.C -o TARGA.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c TEXTURE.C -o TEXTURE.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c TOKENIZE.C -o TOKENIZE.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c TORUS.C -o TORUS.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c TRIANGLE.C -o TRIANGLE.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c TRUETYPE.C -o TRUETYPE.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c TXTTEST.C -o TXTTEST.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c USERIO.C -o USERIO.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c VBUFFER.C -o VBUFFER.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c VLBUFFER.C -o VLBUFFER.o
g++  -x c '-DNEAR=' -Ilibpng -Izlib  -c WARPS.C -o WARPS.o
cc -o Pvengine.exe ...
make: *** [Pvengine.exe] Error 1
cc -o Pvengine.exe ATMOSPH.o BBOX.o BCYL.o BEZIER.o BLOB.o BOXES.o BSPHERE.o CAMERA.o CHI2.o COLOUR.o CONES.o CSG.o DISCS.o EXPRESS.o FRACTAL.o GIF.o GIFDECOD.o HALOS.o HCMPLX.o HFIELD.o IFF.o IMAGE.o LATHE.o LBUFFER.o LIGHTING.o MATRICES.o MEM.o MESH.o NORMAL.o OBJECTS.o OCTREE.o OPTIN.o OPTOUT.o PARSE.o PARSTXTR.o PATTERN.o PGM.o PIGMENT.o PLANES.o PNG_POV.o POINT.o POLY.o POLYGON.o POLYSOLV.o POVRAY.o PPM.o PRISM.o QUADRICS.o QUATERN.o RADIOSIT.o RAD_DATA.o RAY.o RENDER.o SOR.o SPHERES.o SUPER.o TARGA.o TEXTURE.o TOKENIZE.o TORUS.o TRIANGLE.o TRUETYPE.o TXTTEST.o USERIO.o VBUFFER.o VLBUFFER.o WARPS.o  windows/PVBITMAP.o windows/PVBMP.o windows/PVCLIENT.o windows/PVDIALOG.o windows/PVENGINE.o windows/PVFILES.o windows/PVGUIEXT.o windows/PVMENU.o windows/PVMISC.o windows/PVTEXT.o windows/PVTINY.o  -Llibpng -Lzlib -lz -lpng -mwindows
windows/PVCLIENT.o(.text+0x1d44):PVCLIENT.c: undefined reference to `GlobalAllocPtr'
windows/PVCLIENT.o(.text+0x1e4f):PVCLIENT.c: undefined reference to `GlobalUnlockPtr'
windows/PVCLIENT.o(.text+0x1e5b):PVCLIENT.c: undefined reference to `GlobalPtrHandle'
windows/PVENGINE.o(.text+0x4e1a):PVENGINE.c: undefined reference to `fcloseall'
windows/PVENGINE.o(.text+0xfa4a):PVENGINE.c: undefined reference to `fcloseall'
windows/PVMISC.o(.text+0x39fa):PVMISC.c: undefined reference to `Shell_NotifyIcon'
windows/PVMISC.o(.text+0x3a2c):PVMISC.c: undefined reference to `Shell_NotifyIcon'
windows/PVTEXT.o(.text+0x2731):PVTEXT.c: undefined reference to `CreateToolbarEx@52'
windows/PVTINY.o(.text+0xfec):PVTINY.c: undefined reference to `GlobalAllocPtr'
windows/PVTINY.o(.text+0x12ed):PVTINY.c: undefined reference to `GlobalUnlockPtr'
windows/PVTINY.o(.text+0x12f9):PVTINY.c: undefined reference to `GlobalPtrHandle'
libpng/libpng.a(pngread.o)(.text+0x168):pngread.c: undefined reference to `inflateInit_'
libpng/libpng.a(pngread.o)(.text+0x2ac):pngread.c: undefined reference to `inflateInit_'
libpng/libpng.a(pngread.o)(.text+0xd6e):pngread.c: undefined reference to `inflate'
libpng/libpng.a(pngread.o)(.text+0x184a):pngread.c: undefined reference to `inflateEnd'
libpng/libpng.a(png.o)(.text+0x18e):png.c: undefined reference to `crc32'
libpng/libpng.a(png.o)(.text+0x1ba):png.c: undefined reference to `crc32'
libpng/libpng.a(pngwrite.o)(.text+0xc97):pngwrite.c: undefined reference to `deflate'
libpng/libpng.a(pngwrite.o)(.text+0xe26):pngwrite.c: undefined reference to `deflateEnd'
libpng/libpng.a(pngwutil.o)(.text+0x744):pngwutil.c: undefined reference to `deflateInit2_'
libpng/libpng.a(pngwutil.o)(.text+0x174c):pngwutil.c: undefined reference to `deflate'
libpng/libpng.a(pngwutil.o)(.text+0x18c3):pngwutil.c: undefined reference to `deflate'
libpng/libpng.a(pngwutil.o)(.text+0x1b68):pngwutil.c: undefined reference to `deflateReset'
libpng/libpng.a(pngwutil.o)(.text+0x23a2):pngwutil.c: undefined reference to `deflate'
libpng/libpng.a(pngwutil.o)(.text+0x24e7):pngwutil.c: undefined reference to `deflateReset'
libpng/libpng.a(pngwutil.o)(.text+0x2f8e):pngwutil.c: undefined reference to `deflate'
libpng/libpng.a(pngrutil.o)(.text+0x2a7a):pngrutil.c: undefined reference to `inflate'
libpng/libpng.a(pngrutil.o)(.text+0x2ad1):pngrutil.c: undefined reference to `inflateReset'
libpng/libpng.a(pngrutil.o)(.text+0x2ce8):pngrutil.c: undefined reference to `inflateReset'
libpng/libpng.a(pngrutil.o)(.text+0x3f98):pngrutil.c: undefined reference to `inflate'
libpng/libpng.a(pngrutil.o)(.text+0x40db):pngrutil.c: undefined reference to `inflateReset'
make: *** [Pvengine.exe] Error 1

--------------99C90DF0FEED0CBF9E56D0E2--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".